@import "../partials/compass/compass-box-shadow";
@import "template-settings";

.button-primary,
.button-secondary {
  border: none;
  background-image: none;

  &:hover,
  &:active,
  &.button-active,
  &[disabled='disabled']:hover,
  &[disabled='disabled']:active {
    background-image: none;
    @include box-shadow(none);
  }

  &[disabled='disabled'] {
    background: none;
  }
}

.button-secondary {
  @include border-radius($border-radius);
  background: $button-secondary-bg;
  color: $button-secondary-color;
  border: 1px solid darken($button-secondary-bg, 51%);
  font-weight: $button-secondary-font-weight;
  font-size: $button-primary-font-size;
  font-family: $button-font-family;
  border-radius: $button-radius;

  &:hover {
    background: darken($button-secondary-bg, 5%);
    color: $button-secondary-color;
    border: 1px solid darken($button-secondary-bg, 25%);
  }

  &:active {
    background: lighten($button-secondary-bg, 5%);
    color: $button-secondary-color;
    border: 1px solid darken($button-secondary-bg, 20%);
  }

  &[disabled='disabled'] {
    background: $button-secondary-bg;
    border-color: $button-secondary-bg;
  }
}

.button-primary {
  @include border-radius($border-radius);
  border: 1px solid $button-primary-bg;
  background: $button-primary-bg;
  color: $button-primary-color;
  font-weight: $button-primary-font-weight;
  font-size: $button-primary-font-size;
  font-family: $button-font-family;
  border-radius: $button-radius;

  &:hover {
    border: 1px solid $button-primary-bg-hover;
    background: $button-primary-bg-hover;
    color: $button-primary-color;
  }

  &:active {
    border: 1px solid $button-primary-bg-active;
    background: $button-primary-bg-active;
    color: $button-primary-color;
  }

  &[disabled='disabled'] {
    background: $button-primary-bg;
    border-color: $button-primary-bg;
  }
}